/* Table header (desktop) */
.wp-block-wismon-course-table__header {
    display: none;
    align-items: center;
    background-color: var(--wp--preset--color--base-variant-alt);
    padding: var(--wp--preset--spacing--50) var(--wp--preset--spacing--40) var(--wp--preset--spacing--50) var(--wp--preset--spacing--50);
    text-transform: uppercase;
    font-weight: 700;
    font-size: 11px;
    line-height: 1.1;
    gap: var(--wp--preset--spacing--20);
}

/* Table header items */
.wp-block-wismon-course-table__header-item-price,
.wp-block-wismon-course-table__header-item-location,
.wp-block-wismon-course-table__header-item-period,
.wp-block-wismon-course-table__header-item-time {
    width: 10%;
}

.wp-block-wismon-course-table__header-item-days {
    width: 20%;
}

.wp-block-wismon-course-table__header-item-name {
    flex: 1;
}

.wp-block-wismon-course-table__header-item-button {
    width: 195px;
}

/* Course item */
.wp-block-wismon-course-item {
    border-radius: var(--wp--custom--global--border--radius--base);
    position: relative;
    box-shadow: var(--wp--preset--shadow--subtle);
    overflow: hidden;
    z-index: 0;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    background: var(--wp--preset--color--base);
    color: var(--wp--preset--color--contrast);
    padding: var(--wp--preset--spacing--60);
    transition: transform 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
}

.wp-block-wismon-course-item__meta {
    margin-bottom: var(--wp--preset--spacing--20);
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.wp-block-wismon-course-item__meta-name {
    font-weight: 700;
    font-size: var(--wp--preset--font-size--large);
    margin-bottom: var(--wp--preset--spacing--30);
    color: var(--wp--preset--color--primary);
    flex: 1;
}

.wp-block-wismon-course-item__meta-button {
    margin-top: var(--wp--preset--spacing--40);
    margin-bottom: 0;
}

.wp-block-wismon-course-item__meta-location,
.wp-block-wismon-course-item__meta-period,
.wp-block-wismon-course-item__meta-days,
.wp-block-wismon-course-item__meta-time,
.wp-block-wismon-course-item__meta-price {
    &::before {
        content: "\ea4d";
        font-family: 'icomoon';
        margin-right: var(--wp--preset--spacing--20);
        color: var(--wp--preset--color--primary);
        font-size: var(--wp--preset--font-size--large);
    }
}

.wp-block-wismon-course-item__meta-period::before {
    content: "\ea21";
}

.wp-block-wismon-course-item__meta-price::before {
    content: "\ea60";
}

.wp-block-wismon-course-item__meta-days::before,
.wp-block-wismon-course-item__meta-time::before {
    color: transparent;
}

.wp-block-wismon-course-item__meta-period,
.wp-block-wismon-course-item__meta-days {
    margin-bottom: 0;
}

.wp-block-wismon-course-item .wp-block-button__link {
    background-color: var(--wp--preset--color--quaternary) !important;
    color: var(--wp--preset--color--base) !important;
    justify-content: center;
}

/* Course table (desktop) */
@media screen and (min-width: 781px) {
    .wp-block-wismon-course-table {
        background-color: var(--wp--preset--color--base);
        color: var(--wp--preset--color--contrast);
        box-shadow: var(--wp--preset--shadow--subtle);
        border-radius: var(--wp--custom--global--border--radius--base);
        overflow: hidden;
    }
    .wp-block-wismon-course-table__header {
        display: flex;
    }
    .wp-block-wismon-course-item {
        flex-direction: row;
        align-items: center;
        background: transparent;
        box-shadow: none;
        padding: 0;
        gap: var(--wp--preset--spacing--20);
        border-radius: 0;
        font-size: 16px;
        padding: var(--wp--preset--spacing--30) var(--wp--preset--spacing--40) var(--wp--preset--spacing--30) var(--wp--preset--spacing--50);
        &:not(:last-child) {
            border-bottom: 1px solid var(--wp--preset--color--base-variant-alt);
        }
        &:first-child .wp-block-button__link {
            background-color: var(--wp--preset--color--quaternary) !important;
            color: var(--wp--preset--color--base) !important;
        }
        &:not(:first-child) .wp-block-button__link {
            background-color: var(--wp--preset--color--base-variant-alt) !important;
            color: var(--wp--preset--color--primary) !important;
        }
        .wp-block-button__link:hover {
            background-color: var(--wp--preset--color--contrast) !important;
            color: var(--wp--preset--color--base) !important;
        }
    }
    .wp-block-wismon-course-item__meta {
        margin: 0;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
        &::before {
            display: none;
        }
    }
    .wp-block-wismon-course-item__meta-name {
        font-size: inherit;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
    }
    .wp-block-wismon-course-item__meta-price,
    .wp-block-wismon-course-item__meta-location,
    .wp-block-wismon-course-item__meta-period,
    .wp-block-wismon-course-item__meta-time {
        width: 10%;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
    }

    .wp-block-wismon-course-item__meta-days {
        width: 20%;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
    }

    .wp-block-wismon-course-item__meta-button {
        width: 195px;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
    }
}

/* Course table (tablet) */
@media screen and (min-width: 781px) and (max-width: 1024px) {
    .wp-block-wismon-course-item {
        font-size: 13px;
    }
}